SimpleUpdateSqlStatementStrategy (Mule ESB 2.2.1 API)
Keywords: org.mule.transport.jdbc.sqlstrategy.SimpleUpdateSqlStatementStrategy class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.jdbc.sqlstrategy
Class SimpleUpdateSqlStatementStrategy

    java.lang.Object
      org.mule.transport.jdbc.sqlstrategy.SimpleUpdateSqlStatementStrategy

All Implemented Interfaces:
  SqlStatementStrategy

Direct Known Subclasses:
  CallableSqlStatementStrategy

    public class SimpleUpdateSqlStatementStrategy

extends Object
implements SqlStatementStrategy

Implements strategy for handling individual insert, update, and delete statements

Field Summary
`protected Logger` | `logger`

Constructor Summary
`SimpleUpdateSqlStatementStrategy()`

Method Summary
`protected String` | `escapeStatement(String statement)`
`MuleMessage` | `executeStatement(JdbcConnector connector, ImmutableEndpoint endpoint, MuleEvent event, long timeout)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected transient Logger logger

Constructor Detail

### SimpleUpdateSqlStatementStrategy

    public SimpleUpdateSqlStatementStrategy()

Method Detail

### executeStatement

    public MuleMessage executeStatement(JdbcConnector connector,
                                        ImmutableEndpoint endpoint,
                                        MuleEvent event,
                                        long timeout)
                                 throws Exception

  Specified by:
    `executeStatement` in interface `SqlStatementStrategy`
  Throws:
    `Exception`

### escapeStatement

    protected String escapeStatement(String statement)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.